{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% import '_includes/macros.html.twig' as appMacros %}

{% set process = flux.lastActiveProcess %}
<div class="box-header with-border">
    <h3 class="box-title">Traitement : <b>en cours</b>
        {% if flux.lastProcess == constant('AppBundle\\Entity\\Process::STATUS_WAIT') %}<small>+1 en attente</small>{% endif %}</h3>
</div>
<div class="box-body">
    <dl class="dl-horizontal">
        <dt>Mode de mise à jour :</dt>
        <dd>{{ appMacros.process_mode_icon(process) }}</dd>
        <dt>Début du traitement :</dt>
        <dd>{{ (process.createdAt | moment).calendar() | capitalize }}</dd>
    </dl>

    <dl class="dl-horizontal">
        <dt>Progression {{ appMacros.help('Le taux de progression est une estimation basée sur l\'historique du traitement.') }} :</dt>
        <dd>{{ appMacros.progress_bar(process,1) }}</dd>
    </dl>


    <h4 class="m-t-20"><i class="fa fa-info-circle"></i> Log du traitement</h4>
    <div class="list-log">
        <ul class="list-unstyled wrap-break-word"></ul>
    </div>
</div>